<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eicd/CalorimeterHitObj.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e4e37cb967a0a8dac9982f75962b5bf7.html">eicd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">CalorimeterHitObj.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_calorimeter_hit_obj_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// AUTOMATICALLY GENERATED FILE - DO NOT EDIT</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#ifndef EICD_CalorimeterHitOBJ_H</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#define EICD_CalorimeterHitOBJ_H</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">// data model specific includes</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_calorimeter_hit_data_8h.html">eicd/CalorimeterHitData.h</a>&quot;</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#include &quot;podio/ObjBase.h&quot;</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment">// forward declarations</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="keyword">class </span>ConstRawCalorimeterHit;</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;}</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">class </span>CalorimeterHit;</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">class </span>ConstCalorimeterHit;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="classeic_1_1_calorimeter_hit_obj.html">   22</a></span>&#160;<span class="keyword">class </span><a class="code" href="classeic_1_1_calorimeter_hit_obj.html">CalorimeterHitObj</a> : <span class="keyword">public</span> podio::ObjBase {</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;  <a class="code" href="classeic_1_1_calorimeter_hit_obj.html#a15297d181fc93f02a18384c36fd69b2d">CalorimeterHitObj</a>();</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;  <a class="code" href="classeic_1_1_calorimeter_hit_obj.html#a15297d181fc93f02a18384c36fd69b2d">CalorimeterHitObj</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_calorimeter_hit_obj.html">CalorimeterHitObj</a>&amp;);</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;  <a class="code" href="classeic_1_1_calorimeter_hit_obj.html#a15297d181fc93f02a18384c36fd69b2d">CalorimeterHitObj</a>(<span class="keyword">const</span> podio::ObjectID <span class="keywordtype">id</span>, <a class="code" href="classeic_1_1_calorimeter_hit_data.html">CalorimeterHitData</a> <a class="code" href="classeic_1_1_calorimeter_hit_obj.html#a0a53014b946faffe0a49d4bc737ad390">data</a>);</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;  <span class="keyword">virtual</span> <a class="code" href="classeic_1_1_calorimeter_hit_obj.html#abca414f2e59f7da14e1db942186d0b42">~CalorimeterHitObj</a>();</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00034"></a><span class="lineno"><a class="line" href="classeic_1_1_calorimeter_hit_obj.html#a0a53014b946faffe0a49d4bc737ad390">   34</a></span>&#160;  <a class="code" href="classeic_1_1_calorimeter_hit_data.html">CalorimeterHitData</a> <a class="code" href="classeic_1_1_calorimeter_hit_obj.html#a0a53014b946faffe0a49d4bc737ad390">data</a>;</div><div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="classeic_1_1_calorimeter_hit_obj.html#ab0f486d66b8abe2a76f1214eef1e6251">   35</a></span>&#160;  <a class="code" href="classeic_1_1_const_raw_calorimeter_hit.html">::eic::ConstRawCalorimeterHit</a>* <a class="code" href="classeic_1_1_calorimeter_hit_obj.html#ab0f486d66b8abe2a76f1214eef1e6251">m_rawHit</a>;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;};</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;} <span class="comment">// namespace eic</span></div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classeic_1_1_calorimeter_hit_obj_html_ab0f486d66b8abe2a76f1214eef1e6251"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_obj.html#ab0f486d66b8abe2a76f1214eef1e6251">eic::CalorimeterHitObj::m_rawHit</a></div><div class="ttdeci">::eic::ConstRawCalorimeterHit * m_rawHit</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_obj_8h_source.html#l00035">CalorimeterHitObj.h:35</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_data_html"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_data.html">eic::CalorimeterHitData</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_data_8h_source.html#l00015">CalorimeterHitData.h:15</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_obj_html_a15297d181fc93f02a18384c36fd69b2d"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_obj.html#a15297d181fc93f02a18384c36fd69b2d">eic::CalorimeterHitObj::CalorimeterHitObj</a></div><div class="ttdeci">CalorimeterHitObj()</div><div class="ttdoc">constructor </div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_obj_8cc_source.html#l00007">CalorimeterHitObj.cc:7</a></div></div>
<div class="ttc" id="_calorimeter_hit_data_8h_html"><div class="ttname"><a href="_calorimeter_hit_data_8h.html">CalorimeterHitData.h</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_obj_html"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_obj.html">eic::CalorimeterHitObj</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_obj_8h_source.html#l00022">CalorimeterHitObj.h:22</a></div></div>
<div class="ttc" id="classeic_1_1_const_raw_calorimeter_hit_html"><div class="ttname"><a href="classeic_1_1_const_raw_calorimeter_hit.html">eic::ConstRawCalorimeterHit</a></div><div class="ttdef"><b>Definition:</b> <a href="_raw_calorimeter_hit_const_8h_source.html#l00023">RawCalorimeterHitConst.h:23</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_obj_html_abca414f2e59f7da14e1db942186d0b42"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_obj.html#abca414f2e59f7da14e1db942186d0b42">eic::CalorimeterHitObj::~CalorimeterHitObj</a></div><div class="ttdeci">virtual ~CalorimeterHitObj()</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_obj_8cc_source.html#l00027">CalorimeterHitObj.cc:27</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00014">CalorimeterHit.cc:14</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_obj_html_a0a53014b946faffe0a49d4bc737ad390"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_obj.html#a0a53014b946faffe0a49d4bc737ad390">eic::CalorimeterHitObj::data</a></div><div class="ttdeci">CalorimeterHitData data</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_obj_8h_source.html#l00034">CalorimeterHitObj.h:34</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
